<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array();





interface ERMSWorflowHolder
{
    
    
    
    
    
    public function GetWorkflowId();
    
    
    
    
    
    public function GetWorkflowObj();
    
    
    
    
    
    
    
    public function SetWorkflow($wfid);
    public function SetWorkflowId($wfid);
    
    
    
    
    
    
    
    function SetWorkflowState($wf_state_id);
    function SetWorkflowStateId($wf_state_id);
    
    
    
    
    
    
    function UnsetWorkflow();
    
    
    
    
    
    
    
    function GetWorkflowState();
    
    
    
    
    
    
    public function GetWorkflowStateObj();
    
    
    
    
    
    
    public function MoveToNextWorkflowState($user_id = 0, $comment = "");
    
    
    
    
    
    
    
    function GetWorkflowResponsible();
    
    
    
    
    
    
    function GetWorkflowResponsibleObj();
    
    
    
    
    
    
    
    function SetWorkflowResponsible($userid);
    
    
    
    
    
    
    function IsWorkflowStateReadonly();
}